# er.sh from thowi
#
VERSION=31
ERKIT=dm7025remote$VERSION.tar
#
INSTALLDIR=/var/tmp
#
# device specific variables
#
ERHOME=/usr/lib/enigma2/python/Plugins/Extensions/DM7025remote
# device paths
#
HELP=$ERHOME/readme.txt
PLUGINDIR=/usr/lib/enigma2/python/Plugins/Extensions
MEDIASERVER=$PLUGINDIR/Mediaserver7025/Mediaserver7025
MAKEKIT=$ERHOME/makekit.sh
ERSTART=/etc/rc3.d/S22mediaserver
#
BZIP2=/usr/bin/bzip2
DEBUG=$ERHOME/.erdebug
THINK=5


if [ -f $DEBUG ]; then
             echo "----------------------------------------------------"
#             echo $0 $1 $2 $3 $4 $5 $6
             wall "$0 $1 $2 $3 $4 $5 $6"
             echo "----------------------------------------------------"
#             exit 0
fi

if  [ ! -d $INSTALLDIR ]; then
        mkdir $INSTALLDIR
fi


cd /

case "$1" in
   "man")
      echo "-----------------------------------------------------"
      echo "Showing $HELP"
      echo "-----------------------------------------------------"
      cat $HELP
      echo "-----------------------------------------------------"
   ;;
   "log")
      echo "-----------------------------------------------------"
      echo "Display Logfile from last execution of" $0
#      echo "-----------------------------------------------------"
      if  [ ! -f $LOG ]; then
        echo "No log file available - sorry"
        exit 1
      else
        ls -al $LOG
        echo "-----------------------------------------------------"
        cat $LOG
        echo "-----------------------------------------------------"
      fi
      exit 0
      ;;
   "reboot")
      echo "------------------------------------------"
      echo "Rebooting in $THINK seconds"  
      echo "------------------------------------------"
      sleep $THINK
      echo "Rebooting NOW"
      echo "------------------------------------------"
      shutdown -r now
      exit 0
   ;;
   "halt")
      echo "------------------------------------------"
      echo "Shutdown in $THINK seconds"  
      echo "------------------------------------------"
      sleep $THINK
      echo "Shutting down NOW"
      echo "------------------------------------------"
      shutdown -h now
      exit 0
   ;;
   "kill")
      echo "------------------------------------------"
      echo "enigma2 will be restarted in $THINK seconds"
      echo "------------------------------------------"
      sleep $THINK
      echo "enigma2 will be restarted NOW"
      killall enigma2
      exit 0
   ;;
   "start")
echo "-----------------------------------------------------"
   echo "Starting Mediaserver dameon ..."
   $ERSTART start
echo "-----------------------------------------------------"
   exit 0
   ;;
   "stop")
echo "-----------------------------------------------------"
   echo "Stopping Mediaserver dameon ..."
   $ERSTART stop
echo "-----------------------------------------------------"
   exit 0
   ;;
   "restart")
echo "-----------------------------------------------------"
   echo "Restarting Mediaserver dameon ..."
   $ERSTART restart
echo "-----------------------------------------------------"
   exit 0
   ;;
   "info")
echo "-----------------------------------------------------"
echo "Check next line if Mediaserver dameon is running"
echo "-----------------------------------------------------"
ps ax | grep Mediaserver7025 |  grep python
echo "-----------------------------------------------------"
;;
   "enable")
      echo "-----------------------------------------------------"
      echo "Enabling / Updating RC ..."
         
         cd $ERHOME
         echo "Enabling mediaserver startup on boot"
         ln -sf $MEDIASERVER/mediaserver.sh $ERSTART
         echo "Starting Mediaserver dameon ..."
         $ERSTART restart

         echo "Changing Protections ..."
         rm $ERHOME/fbshot* > /dev/null 2>&1
         chmod 777 /dev/input/event1
         chmod 777 $ERHOME
         chmod 777 $ERHOME/*

         echo "Restarting enigma so that RC plugin is shown ..."
         init 2
         sleep 5
         init 3
         echo "Finished enabling RC !"
         echo "-----------------------------------------------------"
;; 
   "disable")
      echo "-----------------------------------------------------"
         echo "Disabling RC ..."
   echo "Stopping Mediaserver dameon ..."
   $ERSTART stop
   cd /
   if [ -f /etc/rc3.d/$ERSTART ] ; then
      rm /etc/rc3.d/$ERSTART
   fi
   if  [ -d $PLUGINDIR/DM7025remote ]; then
   rm -r $PLUGINDIR/DM7025remote
   fi
   if  [ -d $ERHOME ]; then
        rm -r $ERHOME
   fi
         rm $ERSTART

         echo "Deinstallation of RC finished !"
         echo "Restarting enigma to get rid of RC Plugin addon menu"
         init 2
         sleep 3
         init 3
         echo "-----------------------------------------------------"
;;
    *)
        echo "-----------------------------------------------------"
	echo "Usage: $0 {info|stop|start|restart|"
	echo "                       enable|disable|reboot|halt|kill|man}"
        echo "-----------------------------------------------------"
        echo "info       option displays info if Mediaserver is running"
        echo "stop       option stops the Mediaserver dameon"
        echo "start      option starts the Mediaserver dameon"
        echo "restart    option restarts the Mediaserver dameon"
        echo "enable     option enables RC and Mediaserver daemon"
        echo "disable    option disables RC and Mediaserver daemon" 
        echo "reboot     option reboots Dreambox"
        echo "halt       option halts Dreambox"
        echo "kill       option will restart only enigma2"
        echo "man        option displays longer help text"
        echo "-----------------------------------------------------"
	exit 1
	;;
esac
